Subject: bug#19472: closed (Re: bug#19472: Eww in Emacs 24.4 refuses to open local files )

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Jan 2015 11:15:04 +0000

Your bug report

#19472: Eww in Emacs 24.4 refuses to open local files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19472: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19472
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19472: Eww in Emacs 24.4 refuses to open local files
From: Ivan Shmakov <[email-masked]>
To: [email-masked]
Date: Thu, 01 Jan 2015 11:12:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: notabug

>>>>> Kelly Dean <[email-masked]> writes:
>>>>> Lars Magne Ingebrigtsen wrote:

 >> Works for me on the Emacs 24 branch:

 >> `M-x eww RET file:///tmp/cert.html RET'

 > I get the error ⌜This function requires Emacs to be compiled with
 > libxml2⌝.

 > IOW, I can't read.

 > In my defense, ⌜/home/test/test.html⌝ produced the error ⌜/80 Name or
 > service not known⌝,

	This could probably be improved, – either the error message, or
	the treatment of URIs which look like (absolute?) filenames.

 > and ⌜file://home/test/test.html⌝ produced an FTP buffer with the
 > error ⌜home: No address associated with hostname⌝,

	Indeed, a file://home/ URI means “get files from the host named
	‘home’.”  Cf.: file:/home/, which means “a directory named
	/home/ on the local filesystem.”

 > so by the time I tried ⌜file:///home/test/test.html⌝ and the debugger
 > popped up yet again, I assumed the error was just another complaint
 > about my syntax.

 > Sorry for the mistaken bug report.

	ACK, closing.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A

Subject: Eww in Emacs 24.4 refuses to open local files
From: "Kelly Dean" <[email-masked]>
To: [email-masked]
Date: Tue, 30 Dec 2014 09:56:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

M-x eww /home/test/test.html → fail
M-x eww file://home/test/test.html → fail
M-x eww file:///home/test/test.html → fail
(eww-open-file "/home/test/test.html") → fail
(eww-open-file "file://home/test/test.html") → fail
(eww-open-file "file:///home/test/test.html") → fail
(eat-flaming-death) → fail